ci: sync CI scripts with NFD
Notable changes include:
- support WAF_JOBS env var
- use two parallel build jobs on Travis-CI
- use "limited builds" for code-coverage and Travis-CI
- upgrade Travis-CI osx from xcode8.2 to xcode8.3
- enable ASan on Travis-CI
Change-Id: I4101499ebc590478d67ec8134c0395c4aafb8fb6
diff --git a/.jenkins.d/02-chronosync.sh b/.jenkins.d/02-chronosync.sh
new file mode 100755
index 0000000..aa8c875
--- /dev/null
+++ b/.jenkins.d/02-chronosync.sh
@@ -0,0 +1,61 @@
+#!/usr/bin/env bash
+set -e
+
+JDIR=$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )
+source "$JDIR"/util.sh
+
+set -x
+
+pushd "${CACHE_DIR:-/tmp}" >/dev/null
+
+INSTALLED_VERSION=
+if has OSX $NODE_LABELS; then
+ BOOST=$(brew ls --versions boost)
+ OLD_BOOST=$(cat boost_chrono.txt || :)
+ if [[ $OLD_BOOST != $BOOST ]]; then
+ echo "$BOOST" > boost_chrono.txt
+ INSTALLED_VERSION=NONE
+ fi
+fi
+
+# if [[ -z $INSTALLED_VERSION ]]; then
+# INSTALLED_VERSION=$(git -C ChronoSync rev-parse HEAD 2>/dev/null || echo NONE)
+# fi
+
+sudo rm -Rf ChronoSync-latest
+## Remove line when #3920 and #4119 merge.
+sudo rm -rf ChronoSync-hotfix
+git clone git://github.com/named-data/ChronoSync ChronoSync-hotfix
+
+# LATEST_VERSION=$(git -C ChronoSync-latest rev-parse HEAD 2>/dev/null || echo UNKNOWN)
+
+# if [[ $INSTALLED_VERSION != $LATEST_VERSION ]]; then
+# sudo rm -Rf ChronoSync
+# mv ChronoSync-latest ChronoSync
+# else
+# sudo rm -Rf ChronoSync-latest
+# fi
+
+sudo rm -fr /usr/local/include/ChronoSync
+sudo rm -f /usr/local/lib/libChronoSync*
+sudo rm -f /usr/local/lib/pkgconfig/ChronoSync*
+
+pushd ChronoSync-hotfix >/dev/null
+git checkout 097bb448f46b8bd9a5c1f431e824f8f6a169b650
+
+if has FreeBSD10 $NODE_LABELS; then
+ export PKG_CONFIG_PATH=/usr/local/lib/pkgconfig/
+fi
+
+./waf configure --color=yes
+./waf build --color=yes -j${WAF_JOBS:-1}
+sudo env "PATH=$PATH" ./waf install --color=yes
+
+popd >/dev/null
+popd >/dev/null
+
+if has Linux $NODE_LABELS; then
+ sudo ldconfig
+elif has FreeBSD10 $NODE_LABELS; then
+ sudo ldconfig -m
+fi